%% funzione che impedisce la collisione con la luna e la terra all'interno dell'integrazione int_eqmoto
function [value,isterminal,direction] = collision(t,Y,t_ref)

s = Y(1:3);                                                                % posizione sat
s_moon = cspice_spkpos('moon',t+t_ref,'j2000','none','earth');                   % posizione della luna  

R_earth = 6378;                                                            % raggio terra [km]
R_moon = 1738;                                                             % raggio luna [km]
s_rel_moon = norm(s_moon-s);                                               % posizione relativa

value = min([norm(s)-R_earth,s_rel_moon-R_moon]);                          % flag distanze collisione
isterminal = 1;                                                            % ferma l'integrazione
direction = 0;                                                             % rileva ingresso del pianeta/luna in entrambe le direzioni
end